Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Drawing
Imports System.Data
Imports System.Text
Imports System.Windows.Forms
Imports PluginInterface
'


Public Partial Class ctlMain
	Inherits UserControl

	Private myOptions As pluginOptions

	Public Sub New(pluginOptions As pluginOptions)
		InitializeComponent()
		myOptions = pluginOptions
		txtIP.Text = myOptions.defaultIP
		numPort.Value = myOptions.defaultPort
	End Sub

	Private myHost As IPluginHost = Nothing
	Private myPlugin As IPlugin = Nothing

	Public Property PluginHost() As IPluginHost
		Get
			Return myHost
		End Get
		Set
			myHost = value
		End Set
	End Property
	Public Property Plugin() As IPlugin
		Get
			Return myPlugin
		End Get
		Set
			myPlugin = value
		End Set
	End Property

	Private Sub btnSave_Click(sender As Object, e As EventArgs)
		'first update the myOptions object variables from controls on the form...

		myOptions.defaultIP = txtIP.Text
		myOptions.defaultPort = CType(Math.Truncate(numPort.Value), Int32)


		'and then ask it to save to disk.
		Try
			myOptions.saveOptionsToXml()
			MessageBox.Show("Options Saved")
		Catch err As Exception
			MessageBox.Show("Error saving file: " & err.ToString())
		End Try

	End Sub

	Private Sub ctlMain_Load(sender As Object, e As EventArgs)

	End Sub













End Class
